# *- encoding utf-8 -*
"""helper functions"""
import os

language_codes = \
    {
        "af": "afr",
        "am": "amh",
        "ar": "ara",
        "as": "asm",
        "az": "aze",
        "be": "bel",
        "bn": "ben",
        "bo": "bod",
        "bs": "bos",
        "br": "bre",
        "bg": "bul",
        "ca": "cat",
        "cs": "ces",
        "zh": "chi_tra",
        "co": "cos",
        "cy": "cym",
        "da": "dan",
        "de": "deu",
        "dz": "dzo",
        "el": "ell",
        "en": "eng",
        "eo": "epo",
        "et": "est",
        "eu": "eus",
        "fo": "fao",
        "fa": "fas",
        "fi": "fin",
        "fr": "fra",
        "fy": "fry",
        "gd": "gla",
        "ga": "gle",
        "gl": "glg",
        "gu": "guj",
        "ht": "hat",
        "he": "heb",
        "hi": "hin",
        "hr": "hrv",
        "hu": "hun",
        "hy": "hye",
        "iu": "iku",
        "id": "ind",
        "is": "isl",
        "it": "ita",
        "jv": "jav",
        "ja": "jpn",
        "kn": "kan",
        "ka": "kat",
        "kk": "kaz",
        "km": "khm",
        "ky": "kir",
        "ko": "kor",
        "ku": "kur",
        "lo": "lao",
        "la": "lat",
        "lv": "lav",
        "lt": "lit",
        "lb": "ltz",
        "me": "hrv",  # proxy
        "ml": "mal",
        "mr": "mar",
        "mk": "mkd",
        "mt": "mlt",
        "mn": "mon",
        "mi": "mri",
        "ms": "msa",
        "my": "mya",
        "ne": "nep",
        "nl": "nld",
        "no": "nor",
        "oc": "oci",
        "or": "ori",
        "pa": "pan",
        "pl": "pol",
        "pt": "por",
        "ps": "pus",
        "qu": "que",
        "mo": "ron",
        "ro": "ron",
        "ru": "rus",
        "sa": "san",
        "si": "sin",
        "sk": "slk",
        "sl": "slv",
        "sd": "snd",
        "es": "spa",
        "sq": "sqi",
        "sr": "srp",
        "su": "sun",
        "sw": "swa",
        "sv": "swe",
        "ta": "tam",
        "tt": "tat",
        "te": "tel",
        "tg": "tgk",
        "tl": "tgl",
        "th": "tha",
        "ti": "tir",
        "to": "ton",
        "tr": "tur",
        "ug": "uig",
        "uk": "ukr",
        "ur": "urd",
        "uz": "uzb",
        "vi": "vie",
        "yi": "yid",
        "yo": "yor"
    }


def ISO_to_tess(iso: str) -> str:
    return language_codes[iso]


def get_source_files(orders_dir: str, order_id: int) -> list:
    """Return a list of Documents form the order directory"""
    ext = ('.pdf', '.jpg', '.jpeg', '.docx', '.doc', '.pptx', '.ppt')
    source_path = os.path.join(orders_dir, str(order_id), 'src')
    files = [os.path.join(source_path, f)
             for f in os.listdir(source_path)
             if f.endswith(ext)]
    return files
